/*
Styling for Docusaurus code tabs.

This style could be seen from any page that contains a '<!--DOCUSAURUS_CODE_TABS-->'
block in its corresponding markdown file.
*/

.tabs {
  border: none;
  margin: 20px 0;
}

.nav-tabs {
  border: none;
  position: relative;
}

.nav-tabs::before {
  top: auto;
  left: 0;
  right: 0;
  bottom: 0;
  height: 0;
  border-bottom: 1px solid var(--color-silver);
  content: "";

  display: block;
  position: absolute;
}

.nav-tabs::after {
  clear: both;
  display: block;
  content: "";
}

.tabs .nav-tabs > div {
  margin-right: -1px;
  position: relative;

  border: solid var(--color-silver);
  border-width: 1px 1px 0 1px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;

  background-color: $primaryColor;
  color: var(--color-white);
}

.tabs .nav-tabs > div.active {
  background-color: var(--color-white);
  color: $primaryColor;

  border-bottom: 1px solid var(--color-white);
}

.tab-content {
  padding: 24px;

  border: solid var(--color-silver);
  border-width: 0 1px 1px 1px;
}
